Le manuel de aRts
Précédent | Chapitre 2. Outils de aRts | Suivant

# 2.10. mcopidl

La commande mcopidl est le compilateur IDL pour MCOP, le protocole de communication multimédia utilisé par aRts. Les interfaces dans aRts sont définies en IDL, un langage de définition d'interface (Interface Definition Language) indépendant du langage. L'utilitaire mcopidl accepte en entrée un fichier IDL et génère des fichiers d'entête et de sources C++ pour une classe implantant l'interface. La commande a la syntaxe suivante :

mcopidl [ `options` ] `fichier`

Les options disponibles sont :

`-I `dossier``

  Cherche les fichiers d'inclusion dans `dossier`.

`-e `nom``

  Exclut le type de struct, interface, ou enum `nom` de la génération du code.

`-t`

  Crée aussi les fichiers .mcoptype/.mcopclass contenant les informations de type pour le fichier IDL.

Vous trouverez plus d'information à propos de MCOP et IDL dans la section Interfaces et IDL.

Précédent | Sommaire | Suivant
artsc-config | Niveau supérieur | aRts-builder